List Projects
curl --request GET \
--url https://api.example.com/v1/projects \
--header 'x-api-key: <api-key>' \
--header 'x-selected-account-id: <api-key>'import requests
url = "https://api.example.com/v1/projects"
headers = {
"x-api-key": "<api-key>",
"x-selected-account-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-selected-account-id': '<api-key>'}
};
fetch('https://api.example.com/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"configuration": {
"retention": {
"files": "<string>",
"result_artifacts": "<string>"
}
},
"archived_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"next_token": "<string>",
"prev_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Projects
List Projects
List all projects with pagination and filtering support.
GET
/
v1
/
projects
List Projects
Authorizations
API key for authentication
Selected Account ID
Query Parameters
Number of items per page
Required range:
1 <= x <= 100Field to sort by
Sort order (asc or desc) Enum for project sort fields. Note that only non-nullable fields can be sorted by (for details, see: https://github.com/djrobstep/sqlakeyset?tab=readme-ov-file#limitations ).
Available options:
asc, desc Pagination token
Filter by project IDs
Filter by project statuses (active, archived)
Enum for project status values.
Available options:
active, archived Filter by creation time (start)
Filter by creation time (end)
Filter by project name (case-insensitive partial match)

